package sharedInterfaces;
import sharedDataInterfaces.*;

public interface GraphicsFacadeInterface
{  /** Plots arrays of data against each other
       @isGraphData when "false" a message is output rather than a graph
       @isDataError when "true" an appropriate message is written*/

    public void initialise(GuiFacadeInterface guiFacade);
    public void setGraphData(GraphDataInterface data);
    public void resetGraphData();
    public void setGraphOptions(GraphOptionsInterface gO);
    public void applyGraphOptions();
}
